/*
 * Tencent is pleased to support the open source community by making BK-JOB蓝鲸智云作业平台 available.
 *
 * Copyright (C) 2021 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-JOB蓝鲸智云作业平台 is licensed under the MIT License.
 *
 * License for BK-JOB蓝鲸智云作业平台:
 * --------------------------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of
 * the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package com.tencent.bk.job.k8s;

import com.beust.jcommander.Parameter;
import lombok.Data;

@Data
public class ServiceDependModel {
    @Parameter(names = {"-n", "--namespace"}, description = "当前服务所在的命名空间")
    private String namespace;

    @Parameter(names = {"-s", "--service"}, description = "当前服务名称")
    private String serviceName;

    @Parameter(names = {"-d", "--dependencies"}, description = "服务间的依赖关系定义，多个依赖关系用英文逗号分隔，" +
        "例如：(A:B,C),(B:D)表示服务A必须在服务B与服务C启动完成后才启动，服务B必须在服务D启动完成后才启动")
    private String dependenciesStr;

    @Parameter(names = {"-lc", "--expect-pod-labels-common"},
        description = "所有依赖服务都必须拥有的label，多个label间用英文逗号分隔，格式：label1=value1,label2=value2,...")
    private String expectLabelsCommon;

    @Parameter(names = {"-ls", "--expect-pod-labels-service"},
        description = "为每个依赖服务单独定义的必须拥有的label，多个服务间用英文括号及英文逗号分隔，" +
            "格式：(job-manage:label1=value1,label2=value2),(job-execute:label3=value3),(...)")
    private String expectLabelsService;
}
